org.apache.sysds.runtime.controlprogram.parfor.opt

## Enum CostEstimator.ExcludeType

- java.lang.Object
- - java.lang.Enum<CostEstimator.ExcludeType>
  - - org.apache.sysds.runtime.controlprogram.parfor.opt.CostEstimator.ExcludeType

- All Implemented Interfaces:
    Serializable, Comparable<CostEstimator.ExcludeType>
  Enclosing class:
    CostEstimator

      public static enum CostEstimator.ExcludeType
      extends Enum<CostEstimator.ExcludeType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONE`
    `RESULT_LIX`
    `SHARED_READ`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CostEstimator.ExcludeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CostEstimator.ExcludeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final CostEstimator.ExcludeType NONE

    - #### SHARED_READ

          public static final CostEstimator.ExcludeType SHARED_READ

    - #### RESULT_LIX

          public static final CostEstimator.ExcludeType RESULT_LIX

  - ### Method Detail

    - #### values

          public static CostEstimator.ExcludeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CostEstimator.ExcludeType c : CostEstimator.ExcludeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CostEstimator.ExcludeType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 The Apache Software Foundation. All rights reserved.